Package uk.ac.starlink.tfcat

# Enum Class TfcatStatus.Code

java.lang.Object
java.lang.Enum<TfcatStatus.Code>
uk.ac.starlink.tfcat.TfcatStatus.Code

All Implemented Interfaces:
  `Serializable`, `Comparable<TfcatStatus.Code>`, `Constable`

Enclosing class:
  `TfcatStatus`

public static enum TfcatStatus.Code extends Enum<TfcatStatus.Code>
Parse result code.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAIL`
Fatal errors encounted during parse, no TFCat object constructed.
`INVALID`
Validity errors were encountered during parse.
`OK`
Parse successful, no errors.

## Method Summary

Modifier and Type
Method
Description
`static TfcatStatus.Code`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TfcatStatus.Code[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OK

public static final TfcatStatus.Code OK
Parse successful, no errors.

### INVALID

public static final TfcatStatus.Code INVALID
Validity errors were encountered during parse.

### FAIL

public static final TfcatStatus.Code FAIL
Fatal errors encounted during parse, no TFCat object constructed.

## Method Details

### values

public static TfcatStatus.Code[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TfcatStatus.Code valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null